<?php

/**
 * @file
 * Default commerce orders export template.
 *
 * @ingroup themeable
 */

/* Delete this line to print a list of available variables and their values.
echo check_plain(print_r($variables, 1));
// */

$delimiter = ',';
$headers = array(
  'line_item__quantity',
  'line_item__commerce_unit_price',
  'line_item__commerce_total',
  'line_item__commerce_product__sku',
  'line_item__commerce_product__title',
  'line_item__commerce_product__commerce_price',
  'order__commerce_order_total',
  'billing_address__country',
  'billing_address__administrative_area',
  'billing_address__sub_administrative_area',
  'billing_address__locality',
  'billing_address__dependent_locality',
  'billing_address__postal_code',
  'billing_address__thoroughfare',
  'billing_address__premise',
  'billing_address__organisation_name',
  'billing_address__name_line',
  'billing_address__first_name',
  'billing_address__last_name',
  'billing_phone__number',
  'billing_phone__country_codes',
  'shipping_address__country',
  'shipping_address__administrative_area',
  'shipping_address__sub_administrative_area',
  'shipping_address__locality',
  'shipping_address__dependent_locality',
  'shipping_address__postal_code',
  'shipping_address__thoroughfare',
  'shipping_address__premise',
  'shipping_address__organisation_name',
  'shipping_address__name_line',
  'shipping_address__first_name',
  'shipping_address__last_name',
  'shipping_phone__number',
  'shipping_phone__country_codes',
  'order__order_number',
  'order__status',
  'order__state',
  'order__created',
  'order__changed',
  'order__hostname',
  'owner__mail',
  'order__mail',
  'shipping__line_item_label',
  'shipping__commerce_unit_price',
  'shipping__commerce_total',
  'shipping__commerce_shipping_service',
);

echo implode($delimiter, $headers) . "\n";

foreach ($orders as $order) {
  foreach ($order->commerce_line_items as $line_item) {
    if ($line_item->type->value() == 'product') {
      $line_items[] = $line_item;
    }
    elseif ($line_item->type->value() == 'shipping') {
      $shipping = $line_item;
    }
  }
  $billing_address = $order->commerce_customer_billing->get('commerce_customer_address');
  $billing_phone = $order->commerce_customer_billing->get('field_phone');
  $shipping_address = $order->commerce_customer_shipping->get('commerce_customer_address');
  $shipping_phone = $order->commerce_customer_shipping->get('field_phone');
  $owner = $order->get('owner');

  foreach ($line_items as $line_item) {
    $values = array();
    $values[] = $line_item->quantity->value();
    $values[] = _commerce_export_amount_format_raw($line_item->commerce_unit_price->value());
    $values[] = _commerce_export_amount_format_raw($line_item->commerce_total->value());
    $values[] = $line_item->commerce_product->sku->value();
    $values[] = $line_item->commerce_product->title->value();
    $values[] = _commerce_export_amount_format_raw($line_item->commerce_product->commerce_price->value());
    $values[] = _commerce_export_amount_format_raw($order->commerce_order_total->value());
    $values[] = $billing_address->country->value();
    $values[] = $billing_address->administrative_area->value();
    $values[] = $billing_address->sub_administrative_area->value();
    $values[] = $billing_address->locality->value();
    $values[] = $billing_address->dependent_locality->value();
    $values[] = $billing_address->postal_code->value();
    $values[] = $billing_address->thoroughfare->value();
    $values[] = $billing_address->premise->value();
    $values[] = $billing_address->organisation_name->value();
    $values[] = $billing_address->name_line->value();
    $values[] = $billing_address->first_name->value();
    $values[] = $billing_address->last_name->value();
    $values[] = $billing_phone->number->value();
    $values[] = $billing_phone->country_codes->value();
    $values[] = $shipping_address->country->value();
    $values[] = $shipping_address->administrative_area->value();
    $values[] = $shipping_address->sub_administrative_area->value();
    $values[] = $shipping_address->locality->value();
    $values[] = $shipping_address->dependent_locality->value();
    $values[] = $shipping_address->postal_code->value();
    $values[] = $shipping_address->thoroughfare->value();
    $values[] = $shipping_address->premise->value();
    $values[] = $shipping_address->organisation_name->value();
    $values[] = $shipping_address->name_line->value();
    $values[] = $shipping_address->first_name->value();
    $values[] = $shipping_address->last_name->value();
    $values[] = $shipping_phone->number->value();
    $values[] = $shipping_phone->country_codes->value();
    $values[] = $order->order_number->value();
    $values[] = $order->status->value();
    $values[] = $order->state->value();
    $values[] = $order->created->value();
    $values[] = $order->changed->value();
    $values[] = $order->hostname->value();
    $values[] = $owner->mail->value();
    $values[] = $order->mail->value();
    $values[] = $shipping->line_item_label->value();
    $values[] = _commerce_export_amount_format_raw($shipping->commerce_unit_price->value());
    $values[] = _commerce_export_amount_format_raw($shipping->commerce_total->value());
    $values[] = $shipping->commerce_shipping_service->value();

    echo implode($delimiter, $values) . "\n";
  }
}
